### Method

# Vips Buf appendf

#### Declaration [src]

    gboolean
    vips_buf_appendf (
      VipsBuf* buf,
      const char* fmt,
      ...
    )

#### Description [src]

Format the string and append to `buf`.

This method is not directly available to language bindings.

#### Parameters

`fmt`

  Type: `const char*`

  `printf()`-style format string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  Arguments to format string.

#### Return value

Type: `gboolean`

`FALSE` on overflow, `TRUE` otherwise.